#ifndef _GAGEBAR
#define _GAGEBAR

#define Uses_TKeys
#define Uses_TRect
#define Uses_TEvent
#define Uses_TParamText

#include <tv.h>
#include <stdio.h>

#define FILLCHAR  0xDB   // full block char
#define HALFCHAR  0xDD   // half of a block char
#define BLANKCHAR 0x20   // space bar

// gage bar class
class TGageBar:public TParamText
  {
  public:
    TGageBar(const TRect& bounds);           // news gageBuffer
    ~TGageBar();                             // deletes gageBuffer,
    void setParams(int aValue,int aMax);     // sets max and inits (min = 0)
    void setValue(int aValue);               // used to set new value and redraw
    int getValue(void);                      // returns stored value
  protected:
    char *gageBuffer;                        // buffer containing the gagebar
    int maxValue;                            // my class assumes minValue = 0
    int currentValue;                        // currently stored value
  };

#endif
