#ifndef _GAGEDLG
#define _GAGEDLG

#define Uses_TKeys
#define Uses_TRect
#define Uses_TDialog
#define Uses_TStaticText
#define Uses_TEvent
#define Uses_TParamText

#define Uses_MsgBox

#include <tv.h>
#include "gagebar.h"


// this is the dialog class
class TGageDlg:public TDialog
  {
  public:
     TGageDlg(const TRect& r, const char *str);
     void insertResources(void);
     void update(void);
  protected:
    TStaticText *captionText;
    TStaticText *gage1Text;
    TStaticText *gage2Text;
    TStaticText *gage3Text;
    TGageBar    *gageBar1;
    TGageBar    *gageBar2;
    TGageBar    *gageBar3;
    TParamText  *gage1Value;
    TParamText  *gage2Value;
    TParamText  *gage3Value;

    int degrees;   // used in idle to make things change every so often.
  };

#endif
