#include "spinner.h"

// inits the view and chooses an initial char
TSpinViewer::TSpinViewer(TRect& r) : TView(r)
  {
  spinner='\xb3';
  };


// this works a lot like the heapviewer and clockviewer in the TVDemo Program
void TSpinViewer::draw()
  {
  TDrawBuffer buf;
  char c = getColor(2);
  buf.moveChar(0, ' ', c, (short)size.x);   // prevent gargage if size.x > 1
  buf.moveChar(0,spinner,c,1);              // set 1st char to the spinner char
  writeLine(0, 0, (short)size.x, 1, buf);   // write the buffer
  }

// update advances the spinner one part of a rotation, then redraws.
void TSpinViewer::update(void)
  {
  switch(spinner)
    {
    case '\xB3':                 //  ' | '
      spinner = '\x2F';
      break;
    case '\x2F':                 //  ' / '
      spinner = '\xC4';
      break;
    case '\xC4':                 //  ' - '
      spinner = '\x5C';
      break;
    case  '\x5C':                //  ' \ '
      spinner= '\xB3';
      break;
    default:
      spinner='X';
      break;
    }
	drawView();
  }






